#ifndef TIMER_CTRL_H
#define TIMER_CTRL_H

/*!
  \file
  \brief 周期タイマー制御

  \author Satofumi KAMIMURA

  $Id: timer_control.h 1043 2009-06-19 14:51:09Z satofumi $
*/

typedef enum {
  TIMER_0 = 0,
  TIMER_1,
} timer_port;


extern void timer_initialize(timer_port port, int level, int usec,
                             void (*function)(void));
extern void timer_start(timer_port port);
extern void timer_stop(timer_port port);

#endif /* !TIMER_CTRL_H */
